package ru.dbotthepony.mc.otm.core

import net.minecraft.util.RandomSource
import java.util.random.RandomGenerator

class RandomSource2Generator(private val parent: RandomSource) : RandomGenerator {
	override fun nextLong(): Long {
		return parent.nextLong()
	}

	override fun nextInt(): Int {
		return parent.nextInt()
	}

	override fun nextFloat(): Float {
		return parent.nextFloat()
	}

	override fun nextDouble(): Double {
		return parent.nextDouble()
	}

	override fun nextBoolean(): Boolean {
		return parent.nextBoolean()
	}

	override fun nextGaussian(): Double {
		return parent.nextGaussian()
	}
}
